/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : Jan 24, 2022, 3:37:24 PM
    Author     : carangelo
*/

@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,200;0,300;0,400;0,600;0,700;1,400;1,700&display=swap');

html, body {
    font-family: 'Fira Sans', sans-serif !important;
    background-color: #F5F6F8 !important;
    color: #0f2a43;

}

h1, h2, h3,
h4, h5, h6,
p {
    font-family: 'Fira Sans', sans-serif !important;
}

th, table > thead > tr > th { font-size: 12pt !important; line-height: 1 !important; }
td, table > tbody > tr > td { font-size: 11pt !important; line-height: 1 !important; }

h1.page-title {
    text-transform: capitalize;
    font-size: 2.5rem;
    padding: 15px 0 10px;
    font-weight: 700;
}

input, textarea, select {
    border-radius: 5px !important;
    border: 1px solid #ddd !important;
    padding: 7px 12px !important;
}

input:disabled { background-color: #F5F6F8 !important; border-color: #F5F6F8 !important; color: #6D7794; }

/* Header */
.header-highlight .navbar-header:not([class*=bg-]),
.login-container .navbar {
    background-color: #0f2a43 !important;
    color: #6D7794 !important;
    box-shadow: none;
}

.navbar-default, .header-highlight .navbar-header {
    border: 0;
}

.navbar-brand > img {
    margin-top: 0;
    height: 40px !important;
    width: 211px !important;
}

.navbar-nav {
    margin: 10px;
}

.navbar-default .navbar-nav > li > a.sidebar-control {
    color: #2E4080;
    background: #fff;
}

.navbar-nav.navbar-right a,
.login-container .navbar-nav.navbar-right i {
    color: #1690DF !important;
}

.navbar-nav.navbar-right i {
    color: #0f2a43 !important;
}

.navbar-nav .dropdown a:hover { background: none !important; }


/* Login - Registration - Password */
.login-container input {
    padding-left: 42px !important;
}

.login-container #reg input {
    padding-left: 5px !important;
    padding-right: 42px !important;
}

.form-horizontal .has-feedback-left > .form-control-feedback,
.form-horizontal .has-feedback > .form-control-feedback {
    padding-top: 5px;
}

.login-container table tbody tr:hover, .login-container .form-group:hover {
    background: none !important;
}

.login-container .form-group:hover input, .login-container .form-group:hover text-area {
    border-color: #B3D8F0 !important;
}

.logo-responsive {
    width: 100%;
}

@media only screen and (min-width: 960px) {
        /* styles for browsers larger than 960px; */
        .logo-responsive {
            width: 50%;
            text-align: center;
            margin: 0 auto;
        }
}
 
 /* Content */
.content-wrapper > div > h2 {
    margin-left: 20px;
    margin-right: 20px;
    padding: 10px;
    background: none !important;
}

/* Sidebar */
.sidebar-main, .sidebar-main li ul {
    background-color: #0f2a43 !important;
    color: #6D7794 !important;
    padding: 0 5px;
}

.sidebar-main .sidebar-user {
    border-bottom: 1px solid #1690DF;
    margin-bottom: 10px;
}
.sidebar-main .sidebar-user > div {
    padding: 10px 20px;
}

.sidebar-main .sidebar-user .media-heading {
    font-size: 2rem;
    color: #1690DF;
}

.sidebar-main .navigation li.active > a {
    background-color: #2E4080 !important;
    color: #fff !important;
    border-radius: 5px;
}

.sidebar-xs .sidebar-main .navigation > li > a > span {
    background-color: #2E4080 !important;
    color: #fff !important;
    border-radius: 5px;
    border: 0 !important;
}

.navigation > li > a {
    padding: 12px !important;
}

.sidebar-main label {
    font-weight: 700;
    margin-bottom: 0;
    font-size: 1.5rem;
    color: #8C98BB !important;
}

.sidebar-main .navigation > li > a, .sidebar-main .navigation-header label {
    color: #6D7794 !important;
}

/* Breadcrumb */
.breadcrumb-line.breadcrumb-line-component > h2,
.content-wrapper .content > h2 {
    background-color: #fff !important;
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 10px;
}

/* Tabelle e pagine elenco */
.panel.panel-flat {
    background: none !important;
    border: 0 !important;
}

.panel.panel-flat thead tr, .panel.panel-flat thead,
.panel.panel-flat thead th, .datatable-header {
    border: 0 !important;
}

.panel.panel-flat table.datatable {
    border-spacing: 0 0.8rem;
}

.panel.panel-flat tbody tr {
    background: #fff;
}

.panel.panel-flat tbody td {
    padding-top: 5px;
    padding-bottom: 5px;
    border: 0;
}

select.form-control {
    padding: 0 12px !important;
}

.text_filter, .select_filter {
    background-color: #D9EAF5 !important;
}

.panel-body > .row { border: 0 !important; padding: 10px; border-radius: 5px; }

.panel-body .tabbable.tab-content-bordered {
    border-radius: 5px;
    padding: 5px;
}

.form-group { padding: 5px 0; border-radius: 5px; }

table tbody tr:hover, .form-group:hover { background: #D9EAF5 !important; }

.form-group:hover input, .form-group:hover text-area {  border-color: transparent !important; }
.form-group:hover span {  border-color: #F5F6F8 !important;  }

.dataTableGestisci_Table tr { border: 0 !Important; }
.dataTableGestisci_Table thead, thead .dataTableGestisci_Header { background-color: #6D7794; padding: 5px 0; border-radius: 5px; }
    .dataTableGestisci_Header { background: none; border: 0; padding: 5px 0; }
    
.dataTableGestisci_Table tbody tr { background: none !important; }
#prodottiAc { padding: 10px 0; }

table tbody.fc-body tr:hover { background: none !important; }
    .fc-icon-right-single-arrow:after, .fc-icon-left-single-arrow:after { top: -90% !important; }

    td.dataTableGestisci_Column > img {
        padding-left: 10px;
    }
    
/* Buttons */
.btn, button, button.fc-button {
    border-radius: 5px;
    border: 0;
    font-size: 1.5rem;
}

button.fc-button.fc-state-default {
    background-image: none !important;
    text-shadow: none !important;
}

.btn label, button label {
    margin-bottom: 0 !important;
    font-size: 1.6rem !important;
}

.btn.btn-default, button.fc-button, .btn-default {
    background-color: #D9EAF5 !important;
    color: #1690DF !important;
    font-size: 1.5rem !important;
}

.btn.btn-default:hover, .btn.btn-default:focus, button.fc-button:hover, button.fc-button:focus  {
    background-color: #2E4080 !important;
    color: #fff !important;
    
}

.btn-consolida {
    background-color: #F46A6A !important;
    color: #fff !important;
    font-size: 2rem !important;
}

.btn-merge {
    background-color: #F1B44C !important;
    color: #fff !important;
    font-size: 1.8rem !important;
}

.btn-cancella-1, .btn.btn-cancella-1, .btn-cancella-1:hover, .btn.btn-cancella-1:hover {
    background-color: #1690DF !important;
    color: #fff !important;
}

.btn-cancella-2, .btn.btn-cancella-2, .btn-cancella-2:hover, .btn.btn-cancella-2:hover, .btn.btn-warning, .btn-warning, .btn.btn-default.btn-warning  {
    background-color: #F1B44C !important;
    color: #fff !important;
}

.btn-cancella-3, .btn.btn-cancella-3, .btn-cancella-3:hover, .btn.btn-cancella-3:hover, .btn.btn-alert, .btn-alert, .btn.btn-default.btn-alert {
    background-color: #F46A6A !important;
    color: #fff !important;
}

.btn-save, .btn.btn-save, .btn-save:hover, .btn.btn-save:hover, .btn.btn-success, .btn-success, .btn.btn-default.btn-success {
    background-color: #34C38F !important;
    color: #fff !important;
}

/* Tips */
.qtip-default {
    border: 0;
    border-radius: 5px;
}

.qtip-content {
    background: #2E4080;
    border-radius: 5px;
    border: 0;
}

/* Dashboard */
.notification-box {
    background-color: #fff !important;
}

.stats-box {
    background-color: #fff !important;
    color: #0f2a43;
    border: 0 !important;
    box-shadow: 0px 2px 4px rgba(15, 34, 58, 0.3);
    border-radius: 8px; 
    margin-bottom: 20px;
    overflow: hidden;
}
.stats-box h3 { font-variant: bold; }
.stats-box h5 { margin-bottom: 20px; color: #8C98BB; }
.stats-box p { margin-bottom: 0px; color: #2E4080; }

.box-banner {
    box-shadow: 0px 2px 4px rgba(15, 34, 58, 0.3);
    border-radius: 8px; margin-bottom: 20px;
}

.box-img { text-align: right; }
.box-img img { max-width: 90px; }
@media screen and (min-width: 1025px) and (max-width: 1280px) {
    .box-img img { max-width: 50px; }
}
@media screen and (min-width: 1281px) and (max-width: 1440px) {
    .box-img img { max-width: 70px; }
}

.notification-box .btn.btn-default {
    background-color: #fff !important;
    color: #0f2a43 !important;
}

.row label { line-height: 1; font-size: 1.8rem; }

/* TrendBoard */
.trend-box {
    height: 120px;
    text-align: center;
    border: 0;
    font-size: 16px;
    font-family: 'Fira Sans', sans-serif !important;
}
.trend-box .trend-price {
    font-size: 30px;
    font-family: 'Fira Sans', sans-serif !important;
}

/* Footer */
footer.madeby { display: none; }
.wfooter footer.madeby {
    text-align: right;
    position: fixed;
    right: 15px;
    bottom: 0px;
    background-color: #f5f5f5;
    padding: 10px;
    border-radius: 5px;
    display: block;
}



/* Pagination */
.dataTables_paginate .paginate_button.current, .dataTables_paginate .paginate_button.current:hover, .dataTables_paginate .paginate_button.current:focus {
    background-color: #1690DF !important;
}

/* Modal */
.modal-header.no-padding, .modal-body {
    background-color: #F5F6F8 !important;
}

.modal-footer {
    border-top: 1px solid #0f2a43;
}

.modal-footer button {
    margin-top: 20px;
   
}

.form-horizontal .form-group {
    margin-bottom: 10px;
}

label.tip {
    background-color: #D9EAF5 !important;
    color: #8C98BB !important;
    font-weight: bold;
}

.modal-content .row > div { background: #F5F6F8 !important; }

/* Calendar */
.ui-datepicker-header.ui-widget-header {
    background: none;
    border: 0;
}

.ui-widget-content {
    border: 0 !important;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    background: none !important;
    border: 0 !important;
}

table.ui-datepicker-calendar tbody tr:hover {
    background: none !important;
}

.ui-state-default:hover, .ui-widget-content .ui-state-default:hover, .ui-widget-header .ui-state-default:hover {
    background: #D9EAF5 !important;
}


.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
    background: #1690DF !important;
    border: 0 !important;
}

.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight {
    background: #B3D8F0 !important;
    border: 0 !important;
}



/* Utility */
.bg-info-400 { border: 0 !important; box-shadow: 0px 2px 4px rgba(15, 34, 58, 0.3); border-radius: 8px; }
.box-shadow { box-shadow: 0px 2px 4px rgba(15, 34, 58, 0.3);}
.bg-warning-400 { border: 0; }

[class^="icon-"], [class*=" icon-"] { font-family: 'icomoon', 'Fira Sans', sans-serif; }


.dt-button-collection > .dt-button + .dt-button {
    margin: 0;
}

.table-padding { padding: 10px; }
    .table-padding > table { border: 0; }
    .table-btn a { background: #1690DF !important; color: #fff; border-radius: 5px !important; padding: 5px; }
    
#left-icon-tab4 { padding: 10px; }

.menu-top-item {
    font-size: 1.5rem;
}

.menu-top-item i, .sidebar-main i {
    font-size: 1.8rem;
}

.btn:hover, .btn:focus, .btn.focus {
    -webkit-box-shadow: 0 0 0 100px rgb(0 0 0 / 30%) inset;
    box-shadow: 0 0 0 100px rgb(0 0 0 / 30%) inset;
}

.align-left { text-align: left !important; }
.align-right { text-align: right !important; }
.align-center { text-align: center !important; }
.align-justify { text-align: justify !important; }

.uppercase { text-transform: uppercase; }

.clear { clear: both; }